@font-face {
    font-family: "iconfont";
    /* Project id  */
    src: url('../icon/iconfont.ttf') format('truetype');
}

.iconfont {
    font-family: "iconfont" !important;
    font-size: 16px;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

@media screen and (max-width: 992px) {
    #container .center {width: 50px;}
}

body {
    user-select: none;
}

/* 所有的进度条 */

.pic-position .suofang {
    margin: 5px 0;
    
}
.pic-position .suofang span{
    margin-left: 0;
}
.precentage {
    color: rgb(2, 123, 227);
    font-size: 20px;
    margin-left: 15px;
}
.jindutiao {
    position: relative;
    width: 180px;
    height: 3px;
    margin: 15px 15px;
    background-color: rgb(154, 202, 244);
    border-radius: 10px;
}
.jindutiao .point {
    position: absolute;
    top: -6px;
    left: 90px;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: rgb(2, 123, 227);
    transition: box-shadow .5s;
    z-index: 1;
}
.jindutiao .point:hover {
    
    box-shadow: 0px 0px 5px 10px rgba(39, 39, 230, 0.2);
}
.jindutiao .pleft {
    position: absolute;
    left: 0;
    display: inline-block;
    background-color: rgb(57, 57, 206);
    width: 90px;
    max-width: 180px;
    min-width: 0;
    height: inherit;
    border-radius: 10px;
}


/* 刷新倍数 */
.refresh {
    font-size: 22px;
    color: rgb(120, 120, 240);
    box-sizing: border-box;
    width: 10px;
    height: 10px;
    vertical-align: middle;
}
.refresh:hover {
   color: blue;
   /* font-size: 24px; */
}
#cysb li {
    list-style-type: none;
    display: flex;
    margin-bottom: 10px;
    padding: 5px;
}

#cysb li:hover {
    background-color: rgb(116, 110, 110, 0.4);
    cursor: pointer;
}

#cysb li span:nth-child(1) {
    margin: 5px;
    width: 45px;
}
#container {
    display: flex;
    width: 1200px;
    height: 700px;
    margin: 20px auto;
    padding: 2px;
    box-shadow: 0px 0px 5px #3498db;
}

#container div {
    font-size: 16px;
}

#container .left {
    width: 225px;
    overflow-y: scroll;
}

#container .left #aa div span{
    flex: 1;
}
#container .left #aa #suofang {
    margin: 5px 0;
}
#container .left #precentage {
    color: rgb(2, 123, 227);
    font-size: 20px;
    margin-left: 15px;
}

#container .left #jindutiao {
    position: relative;
    width: 180px;
    height: 3px;
    margin: 15px 15px;
    background-color: rgb(154, 202, 244);
    border-radius: 10px;
}

#container .left #jindutiao #point {
    position: absolute;
    top: -6px;
    left: 48px;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    background-color: rgb(2, 123, 227);
    transition: box-shadow .5s;
    z-index: 1;
}

#container .left #jindutiao #point:hover {
    /* x偏移量 | y偏移量 | 阴影模糊半径 | 阴影扩散半径 | 阴影颜色 */
    box-shadow: 0px 0px 5px 10px rgba(39, 39, 230, 0.2);
}
/* .shadow {
    box-shadow: 0px 0px 5px 10px rgba(39, 39, 230, 0.2);
} */

#container .left #jindutiao #pleft {
    position: absolute;
    display: inline-block;
    background-color: rgb(57, 57, 206);
    width: 48px;
    max-width: 180px;
    min-width: 0;
    height: inherit;
    border-radius: 10px;
}

/* 滚动条宽*/
#container .left::-webkit-scrollbar {
    width: 0px;
}

#container .left button {
    width: 100%;
    height: 65px;
    border-radius: 5px;
    background-color: rgb(2, 123, 227);
    outline: none;
    border: none;
    font-size: 16px;
    cursor: pointer;
    color: #409eff;
    background: #ecf5ff;
    border-color: #b3d8ff;
    border-radius: 5px;
}

#container .left button:hover {
    background: #409eff;
    border-color: #409eff;
    color: #fff;
}
#container .left #btn-scan {
    position: sticky;
    top: 0px;
    z-index: 3;
    
}

#container .left #widInput {
    width: 80px;
    margin-left: 10%;
    border-radius: 5px;
    margin-top: 10px;
    padding: 3px;
}

#container .left #hegInput {
    width: 80px;
    border-radius: 5px;
    margin-top: 10px;
    padding: 3px;
}

/* #container .left #btn-change {
    width: 80%;
    height: 50px;
    font-size: 16px;
    margin-left: 10%;
    margin-top: 15px;
    margin-bottom: 10px;
} */

#container .center {
    width: 750px;
}

#container .center .center-top {
    display: flex;
    justify-content: flex-end;
    height: 65px;
    /* border: 1px solid green; */
    line-height: 65px;
}
#container .center .center-top .cenIcon {
    font-size: 27px !important;
    color: rgb(65, 125, 194);
    padding: 0 5px 0 0;
}
#container .center .center-top .cenIcon:hover {
    color:rgb(64, 158, 255);
    cursor: pointer;
}

#container .center .center-top div {
    flex: 1;
    display: inline-block;
}

#container .center .center-top div:nth-child(2) {
    text-align: left;
}

#container .center .center-top .content {
    text-indent: 1em;
}

#container .center .center-top #getBtm{
    height: 50px;
    font-size: 16px;
    width: 100px;
    border-radius: 5px;
    /* float: right; */
    margin: 5px;
    outline: none;
    border: none;
    color: #67c23a;
    background: #f0f9eb;
    border-color: #c2e7b0;
    cursor: pointer;

}
#container .center .center-top #getBtm:hover{
    background: #67c23a;
    border-color: #67c23a;
    color: #fff;
}

#container .center .center-top #clean{

    height: 50px;
    font-size: 16px;
    width: 100px;
    border-radius: 5px;
    /* float: right;  */
    margin: 5px 0;
    outline: none;
    border: none;
    color: #67c23a;
    background: #f0f9eb;
    border-color: #c2e7b0;
    cursor: pointer;

}
#container .center .center-top #clean:hover{
    background: #67c23a;
    border-color: #67c23a;
    color: #fff;
}


/* 颜色选择器 */
#container .center .center-top .content .picker-out-out {
    position: relative;
    display: inline-block;
    box-sizing: border-box;
    height: 40px;
    width: 40px;
    padding: 4px;
    cursor: pointer;
    vertical-align: middle;
    border: 1px solid #e6e6e6;
    border-radius: 4px;
    font-size: 0;
}

#container .center .center-top .content .picker-out {
    position: relative;
    display: block;
    box-sizing: border-box;
    border: 1px solid #999;
    border-radius: 2px;
    width: 100%;
    height: 100%;
    text-align: center;
}

#container .center .center-top .content .picker {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

#container .center .center-bottom {
    position: relative;
    height: calc(100% - 65px);
    width: 100%;
    background-color: rgb(204, 204, 204);
    overflow: auto;

}


#container .center #main {
    position: absolute; 
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(1);
    width: 267px;
    height: 582px;
    background-color: white;
    border: 1px solid grey;
    transition: all .3s;
}


/* 蒙版 */
.maskk {
    opacity: .6;
    border: blue solid 1px;
    z-index: 0 !important;
}

#container .center #main img {
    position: absolute;
    user-select: none;
    z-index: 1;
}

#container .right {
    display: flex;
    flex-direction: column;
    width: 225px;
    text-align: center;
}

#container .right #rig-top {
    overflow-y: auto;
    flex: 2;
}

/* 滚动条宽 */
#container .right #rig-top::-webkit-scrollbar {
    width: 0px;
}

#container .right #rig-btm {
    flex:1.5;
    display: none;
}
#container .right button {
    width: 100%;
    height: 65px;
    outline: none;
    border: none;
    cursor: pointer;
    color: #fff;
    background-color: #409eff;
    border-color: #b3d8ff;
    border-radius: 5px;
}

#container .right button:hover {
    background: #409eff;
    border-color: #409eff;
    color: #fff;
}

#container .right #tuceng-fu {
    position: sticky;
    top: 0px;
    z-index: 3;
}

#container .right .file-box {
    /* display: inline-block; */
    position: relative;
    margin-left: 10%;
    margin-top: 10px;
    padding: 3px 5px;
    width: 80%;
    height: 50px;

    border-radius: 5px;
    text-align: center;
    line-height: 50px;
    overflow: hidden;

    color: #67c23a;
    background: #f0f9eb;
    border-color: #c2e7b0;
}
#container .right .file-box:hover{
    background: #67c23a;
    border-color: #67c23a;
    color: #fff;
}

#container .right .file-box #btn-pic {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    outline: none;
    cursor: pointer;
    background-color: transparent;
    /* 兼容IE8及以下的IE浏览器 */
    filter: alpha(opacity=0);
    -moz-opacity: 0;
    -khtml-opacity: 0;
    opacity: 0;

}

#container .right p {
    color: grey;
    text-align: center;
    font-size: 12px;
    padding-top: 5px;
}

#container .right #picQue {
    user-select: none;
    margin-top: 10px;
}

#container .right #picQue .one {
    display: flex;
    justify-content: space-around;
    line-height: 31px;
    padding: 10px 0 0;
}

#container .right #picQue .one:hover {
    background-color: rgb(213, 213, 213)
}

#container .right #picQue .one div:nth-child(1) {
    flex: 1.5;
    max-width: 80px;
    max-height: 50px;
}

#container .right #picQue .one div:nth-child(2) {
    height: 40px;
    line-height: 30px;
}

#container .right #picQue .one div:nth-child(3) {
    width: 30px;
    height: 25px;
    line-height: 26px;
    text-align: center;
    border-radius: 10px;

}

#container .right #picQue .one div:nth-child(3):hover {
    background-color: rgba(161, 160, 160, .4);
    cursor: pointer;
}

#container .right #picQue .one img {
    max-width: 60px;
    max-height: 37px;
    padding-left: 1em;
}

#container .right .property {
    width: 100%;
    height: 50px;
    background-color: rgb(64, 158, 255);
    color: white;
    line-height: 50px;
}



/* 预览蒙版 */
#mark {
    display: none;
    justify-content: center;
    align-items: center;
    position: fixed;
    left: 0;
    top: 0;
     height: 100vh;
    width: 100vw; 
   background-color: rgba(255, 255, 255, .8); 
    z-index: 1000;
    overflow: auto;
}
/* #mark:after {
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    background: inherit;
    filter: blur(1px);
    z-index: 2;
} */

#myCanvas{
    z-index: 110;
    border: 1px solid grey;
}

#layer {
    background: white;
    position: absolute;
    z-index: 10;
     /* width:"200px";
     height:"200px"; */
     transition: all 1s;
    padding: 10px;
    left: 200px;
    top: 200px;
}